<?php

namespace Litepci\Sampleset;

use User;

class Sampleset
{
    /**
     * $sampleset object.
     */
    protected $sampleset;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Sampleset\Interfaces\SamplesetRepositoryInterface $sampleset)
    {
        $this->sampleset = $sampleset;
    }

    /**
     * Returns count of sampleset.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.sampleset.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->sampleset->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\SamplesetUserCriteria());
        }

        $sampleset = $this->sampleset->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('sampleset::' . $view, compact('sampleset'))->render();
    }
}
